### Virtual Method

# Foundry CompletionProposal dup_snippet_text

#### Declaration [src]

    char*
    dup_snippet_text (
      FoundryCompletionProposal* self
    )

#### Description [src]

If the proposal supports inserting a snippet, then this contains the text of that snippet.

The format should be in `GtkSourceSnippet` format.

#### Return value

Type: `char*`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.